Class | EventMachine::Protocols::HttpClient2::Request
In: | lib/protocols/httpcli2.rb
Parent: | Object

### Methods

new receive_chunk_header receive_chunk_trailer receive_chunked_text receive_header_line receive_line receive_sized_text receive_text send_request

### Included Modules

Deferrable

### Constants

HttpResponseRE | = | /\AHTTP\/(1.[01]) ([\d]{3})/i
ClenRE | = | /\AContent-length:\s*(\d+)/i
ChunkedRE | = | /\ATransfer-encoding:\s*chunked/i
ColonRE | = | /\:\s*/

### Attributes

content | [R] |
header_lines | [R] |
headers | [R] |
internal_error | [R] |
status | [R] |
version | [R] |

### Public Class methods

new(conn, args)

### Public Instance methods

receive_chunk_header(ln)
receive_chunk_trailer(ln)
receive_chunked_text(text)
receive_header_line(ln)
receive_line(ln)
receive_sized_text(text)
receive_text(text)
send_request()

[Validate]